# DashboardProjectPresenter
Date: 2018-06-14

kr.co.hanwha.hifive.screen.main.dashboard

## Class DashboardProjectPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.main.dashboard.DashboardProjectPresenter

All Implemented Interfaces:
  BasePresenter, DashboardProjectContract.Presenter

    public class DashboardProjectPresenter
    extends java.lang.Object
    implements DashboardProjectContract.Presenter

Created by sanghoonkwon on 2018. 3. 19..

### Field Summary

Fields
`private MainProjectListContract.Model` `mAdapterModel`
`private MainProjectListContract.View` `mAdapterView`
`private boolean` `mIsAll`
`private ProjectInfo` `mProjectInfo`
`private DashboardProjectContract.View` `mView`

### Constructor Summary

Constructors
Constructor and Description
`DashboardProjectPresenter(DashboardProjectContract.View view, MainProjectListContract.View adapterView, MainProjectListContract.Model adapterModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `detachView()`
`android.app.Activity` `getActivity()`
`android.content.Context` `getContext()`
`void` `initTaskData(int projectId, boolean needLoading)` Initialize Data
`void` `setIsAll(boolean isAll)` 필터 : 진행중 / 전체
`void` `showEditIssueDialog()` Change issue(web view)
`void` `showProjectColorDialog()` Change project color dialog
`void` `updateProjectColor(ProjectEvaluationType type)` Update project color

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mView

    private DashboardProjectContract.View mView

#### mAdapterView

    private MainProjectListContract.View mAdapterView

#### mAdapterModel

    private MainProjectListContract.Model mAdapterModel

#### mProjectInfo

    private ProjectInfo mProjectInfo

#### mIsAll

    private boolean mIsAll

### Constructor Detail

#### DashboardProjectPresenter

    public DashboardProjectPresenter(@NonNull
                                     DashboardProjectContract.View view,
                                     @NonNull
                                     MainProjectListContract.View adapterView,
                                     @NonNull
                                     MainProjectListContract.Model adapterModel)

### Method Detail

#### detachView

    public void detachView()

Specified by:
  `detachView` in interface `BasePresenter`

#### getContext

    public android.content.Context getContext()

Specified by:
  `getContext` in interface `BasePresenter`

#### getActivity

    public android.app.Activity getActivity()

#### setIsAll

    public void setIsAll(boolean isAll)

Description copied from interface: `DashboardProjectContract.Presenter`
필터 : 진행중 / 전체

Specified by:
  `setIsAll` in interface `DashboardProjectContract.Presenter`
Parameters:
  `isAll` - Boolean

#### initTaskData

    public void initTaskData(@NonNull
                             int projectId,
                             @NonNull
                             boolean needLoading)

Description copied from interface: `DashboardProjectContract.Presenter`
Initialize Data

Specified by:
  `initTaskData` in interface `DashboardProjectContract.Presenter`
Parameters:
  `projectId` - ID
  `needLoading` - ProgressBar

#### showProjectColorDialog

    public void showProjectColorDialog()

Description copied from interface: `DashboardProjectContract.Presenter`
Change project color dialog

Specified by:
  `showProjectColorDialog` in interface `DashboardProjectContract.Presenter`

#### updateProjectColor

    public void updateProjectColor(ProjectEvaluationType type)

Description copied from interface: `DashboardProjectContract.Presenter`
Update project color

Specified by:
  `updateProjectColor` in interface `DashboardProjectContract.Presenter`
Parameters:
  `type` - evaluation color

#### showEditIssueDialog

    public void showEditIssueDialog()

Description copied from interface: `DashboardProjectContract.Presenter`
Change issue(web view)

Specified by:
  `showEditIssueDialog` in interface `DashboardProjectContract.Presenter`